Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 248240 - skge driver negotiates incorrect speed
Summary: skge driver negotiates incorrect speed
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 427887
TreeView+ depends on / blocked
 
Reported: 2007-07-14 00:09 UTC by josip
Modified: 2008-02-08 04:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-08 04:27:40 UTC


Attachments (Terms of Use)

Description josip 2007-07-14 00:09:06 UTC
Description of problem:
skge driver (Marvell 88E801 controller) mis-negotiates speed to Netgear GS605v2
GigE switch as only Fast Ethernet.  The switch supports jumbo frames but Fast
Ethernet doesn't, so mis-negotiated speed implies that MTU=9000 connection
fails.  Using "ethtool -s eth1 speed 1000" doesn't fix the problem.

Version-Release number of selected component (if applicable):
kernel-2.6.20-1.2962.fc6

How reproducible:
Use kernel-2.6.20-1.2962.fc6, Asus P5B Deluxe motherboard, eth1 interface with
Marvell 88E8001 GigE chip connected to NetGear GS605v2 GigE switch.  Reboot
machine -- it invariably negotiates 100 Mb/s instead of 1000 Mb/s.

Steps to Reproduce:
1. See above
2.
3.
  
Actual results:
See above

Expected results:
See above

Additional info:

Comment 1 josip 2007-07-14 00:10:50 UTC
Physically disconnecting and reconnecting GigE multiple times can produce
negotiated 1000 Mb/s but this is a manual process not suitable for each reboot.

Comment 2 Jon Stanley 2008-01-08 01:54:37 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 3 Jon Stanley 2008-02-08 04:27:40 UTC
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!


Note You need to log in before you can comment on or make changes to this bug.